*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    --primary-color: rgb(69, 121, 255);
    --primary-dark: rgb(58, 108, 236);
}
html,
body {
    font-family: 'Segoe UI', 'Helvetica Neue', 'Helvetica', Arial, sans-serif;
    margin: 0;
    font-size: 14px;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
.intro {
    text-align: center;
    padding-top: 22px;
    padding-bottom: 32px;
}
.intro h1 {
    font-size: 64px;
}
.intro strong {
    color: rgb(144, 147, 153);
    font-weight: normal;
    font-size: 18px;
}
.icon {
    display: inline-block;
    width: 80px;
    height: 80px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
.icon-ios {
    background-image: url('./imgs/icon-down-macos.svg');
}
.icon-linux {
    background-image: url('./imgs/icon-down-linux.svg');
}
.icon-android {
    background-image: url('./imgs/icon-down-android.svg');
}
.icon-macos {
    background-image: url('./imgs/icon-down-macos.svg');
}
.icon-mac_arm {
    background-image: url('./imgs/icon-down-mac-arm.svg');
}
.icon-windows {
    background-image: url('./imgs/icon-down-windows.svg');
}
img {
    max-width: 100%;
}
.app-list {
    width: 100%;
    max-width: 880px;
    min-width: 320px;
    margin: 0 auto;
    padding-left: 10px;
    padding-right: 10px;
    color: rgb(96, 98, 102);
    display: flex;
    flex-direction: column;
}
/* .app-list-item:nth-child(2) {
    order: 1;
}
.app-list-item:nth-child(1) {
    order: 2;
} */
.app-list-item {
    display: flex;
    flex-direction: row;
    padding: 30px;
    border-radius: 20px;
    transition: all 0.2s linear;
    margin-bottom: 40px;
}
.app-list-item.active,
.app-list-item:hover {
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.06);
}

.app-icon {
    display: block;
    margin-right: 20px;
    width: 82px;
    height: 82px;
}
.app-infos {
    flex: 1;
    min-width: 0;
}
.app-infos .heading {
    position: relative;
    margin-bottom: 2px;
}
.app-infos h2 {
    font-size: 24px;
    color: rgb(51 51 51);
}
.app-infos .version {
    font-size: 16px;
    font-weight: 600;
    line-height: 22px;
    color: rgb(51 51 51);
}
.app-infos .changelogs {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.changelogs.history {
    margin-top: 10px;
}
.app-infos .changelogs .logs {
    overflow: hidden;
    min-width: 0;
    text-overflow: ellipsis;
    white-space: nowrap;
    line-height: 22px;
}

.app-infos .changelogs .hide,
.app-infos .changelogs .more {
    background-repeat: no-repeat;
    background-position: center right;
    background-size: 10px 6px;
    padding-left: 20px;
    padding-right: 15px;
    min-width: 80px;
    text-align: right;
}
.app-infos .changelogs .more {
    background-image: url('./imgs/arr-active-down.png');
}
.app-infos .changelogs .hide {
    background-image: url('./imgs/arr-active-up.png');
}
.app-infos .changelogs .view-history,
.app-infos .changelogs .hide,
.app-infos .changelogs .more {
    color: var(--primary-color);
    text-transform: uppercase;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
}
.app-infos .changelogs.history {
    display: none;
}

.app-infos .changelogs .logs {
    height: 22px;
    overflow: hidden;
}

.app-infos.opened .logs {
    height: auto;
}
.app-infos.opened .more {
    display: none;
}
.app-infos.opened .changelogs.history {
    display: flex;
}

.download-btn {
    padding: 10px 20px;
    display: inline-block;
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    color: rgb(255 255 255);
    font-weight: 500;
    border-radius: 30px;
    text-decoration: none;
    text-transform: capitalize;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px;
    height: 38px;
    line-height: 20px;
}
.download-btn:active,
.download-btn:hover {
    background-color: var(--primary-dark);
    border-color: var(--primary-dark);
}
.app-infos .download-btn {
    position: absolute;
    right: 0;
    top: 0;
}
.modal-open .modal {
    opacity: 1;
    visibility: visible;
}

.modal {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.1);
    z-index: 1001;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.2s;
    opacity: 0;
    visibility: hidden;
    padding: 24px;
}
.modal-content {
    background-color: #fff;
    border-radius: 20px;
    width: 100%;
    max-width: 880px;
    max-height: 60vh;
    overflow: hidden;
    padding: 30px;
    display: flex;
    flex-direction: column;
}
.modal-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 80px;
    min-height: 80px;
    margin-bottom: 32px;
    position: relative;
}
.close-modal {
    position: absolute;
    right: 0;
    top: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url('./imgs/dialog-x.png');
    background-size: cover;
    appearance: none;
    border: 0;
    outline: none;
    background-color: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 24px;
    height: 24px;
    text-indent: -9999rem;
    cursor: pointer;
}
.modal-header h2 {
    margin-left: 20px;
}
.modal-body {
    overscroll-behavior: contain;
    -ms-scroll-chaining: contain;
    overflow: auto;
    min-height: 0;
    flex: 1;
}
.modal-body ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.modal-body li {
    display: flex;
    flex-direction: row;
    margin-bottom: 32px;
}
.change-history {
    padding-right: 10px;
}
li .h-name span {
    color: rgb(144, 147, 153);
}
li .h-name strong {
    text-align: right;
    display: block;
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    color: rgb(51, 51, 51);
}
li .h-info {
    margin-left: 32px;
    line-height: 22px;
    color: rgb(96, 98, 102);
}
@media only screen and (max-width: 767px) {
    .app-list-item {
        padding: 15px;
    }
    .app-icon {
        margin-right: 10px;
    }
    .download-btn {
        background-image: url('./imgs/download-mobile.png');
        text-indent: -99999rem;
        min-width: 80px;
    }
    .modal-content {
        padding: 20px;
        max-height: 70vh;
    }
    .modal-body li {
        flex-direction: column;
    }

    li .h-name {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    li .h-info {
        margin-left: 0;
        margin-top: 10px;
    }
    .intro h1 {
        font-size: 32px;
        line-height: 1.8;
    }
    .intro strong {
        font-size: 16px;
    }
}
